VDOREADONLY(8)

NAME
vdoreadonly - puts a VDO device into read-only mode

SYNOPSIS
vdoreadonly filename

DESCRIPTION
vdoreadonly forces an existing VDO device into read-only mode.

filename must be the path of the VDODataLV as described in lvmvdo(7). Since lvchange(8) will only mount that as read-only, a writable version of that device must be manually created, as shown in the example below.

OPTIONS

--help
    Print this help message and exit.

--version
    Show the version of vdoreadonly.

EXAMPLE
# lvchange -ay vdo1/vdo0pool_vdata
# dmsetup table vdo1-vdo0pool_vdata > vdata.table
# lvchange -an vdo1/vdo0pool_vdata
# dmsetup create vdo1-vdo0pool_vdata --table "`cat vdata.table`"
# vdoreadonly /dev/mapper/vdo1-vdo0pool_vdata
# dmsetup remove vdo1-vdo0pool_vdata

SEE ALSO
lvmvdo(7), lvchange(8), dmsetup(8)